#!/bin/bash -e

echo "[Info] Starting Buildgrid server..."

BGD_RUNNING=$(ps -aux  | grep 'env/bin/bgd' | grep -v 'grep' | wc -l)
if [ $BGD_RUNNING -eq 0 ]; then 
    set -x
    $HOME/goma/buildgrid/env/bin/bgd server start goma-buildgrid.conf -vvv &
    BGD_PID=$!
    set +x
    echo "[Info] Buildgrid PID: [$BGD_PID]"
    sleep 3s
else
    BGD_PID=$(ps -aux  | grep 'env/bin/bgd' | grep -v 'grep' | tr -s ' ' | cut -d' ' -f2)
    echo "[Info] Buildgrid already running PID: [$BGD_PID]."
fi

echo "[Info] Starting Goma server..."

GOMA_RUNNING=$(ps -aux  | grep 'remoteexec_proxy' | grep goma | grep -v 'grep' | wc -l)
if [ $GOMA_RUNNING -eq 0 ]; then 
    USERS=$(cat users.txt)
    GOPATH=$(go env GOPATH)
    echo "GOPATH [$GOPATH]"
    set -x
    $HOME/goma/server/cmd/remoteexec_proxy/remoteexec_proxy \
                                                -port 5050 \
                                                -remoteexec-addr localhost:50051 \
                                                -remote-instance-name goma-test \
                                                -insecure-remoteexec \
                                                -service-account-json goma-test-0fa3f8983676.json \
                                                -allowed-users $USERS &
    GOMA_PID=$!
    set +x
    echo "[Info] Goma PID: [$GOMA_PID]"
else
    GOMA_PID=$(ps -aux  | grep 'remoteexec_proxy' | grep goma | grep -v 'grep' | tr -s ' ' | cut -d' ' -f2)
    echo "[Info] Goma already running PID: [$GOMA_PID]"
fi